<div dir="ltr">I&#39;m new to this mailing list. I can find my message on the url &quot;<a href="http://mail.scipy.org/pipermail/ipython-dev/2013-April/011335.html">http://mail.scipy.org/pipermail/ipython-dev/2013-April/011335.html</a>&quot;, but why I didn&#39;t receive a mail in my gmail ? What&#39;s wrong?<div>
<br></div><div style>Appreciate the response from <b style="color:rgb(0,0,0);font-family:&#39;Times New Roman&#39;;font-size:medium">Thomas Kluyver</b><span style="color:rgb(0,0,0);font-family:&#39;Times New Roman&#39;;font-size:medium"> </span><a href="mailto:ipython-dev%40scipy.org?Subject=%5BIPython-dev%5D%20Couldn%27t%20import%20IPython.zmq%20in%20ipython3&amp;In-Reply-To=CAHJCAaDiuxH2Z5He-BNdnP0umMige7w-x%2BFPcgLMPB7Zbm-duA%40mail.gmail.com" title="[IPython-dev] Couldn&#39;t import IPython.zmq in ipython3" style="font-family:&#39;Times New Roman&#39;;font-size:medium">takowl@gmail.... </a>.</div>
<div style>When I import zmq directly from ipython3, I just got another error.</div><div style>Sorry I couldn&#39;t show the precise error message, because I&#39;ve kind of solved the problem before I saw this response.</div>
<div style>What I did is:</div><div style>1. Download &quot;pyzmq-13.0.2.win32-py3.3.exe&quot; from &quot;<a href="http://www.lfd.uci.edu/~gohlke/pythonlibs/">http://www.lfd.uci.edu/~gohlke/pythonlibs/</a>&quot;.</div><div style>
2. Instead of Open the &#39;exe&#39; file directly, extract it to a folder. Then I got a folder named &quot;zmq&quot;, and a file named &quot;pyzmq-13.0.2-py3.3.egg-info&quot;</div><div style>3. Copy both the folder and the file to &quot;\python33\lib\site-packages\&quot;</div>
<div style>4. Done.</div><div style><br></div><div style>Still don&#39;t know the reason. I just got some idea from a chinese web page of instruction of making a portable ipython notebook (of python2.7).</div></div><div class="gmail_extra">
<br><br><div class="gmail_quote">2013/4/7 wang aiyong <span dir="ltr">&lt;<a href="mailto:wangaiyongff@gmail.com" target="_blank">wangaiyongff@gmail.com</a>&gt;</span><br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<div dir="ltr">Sorry, I just mishit a button and sent the email out without finished.<div>Continue:</div><div>since my pyzmq =13.0 &gt;2.1.4</div><div>so I just &quot;import IPython.zmq&quot; in ipython3, then an error came out:</div>

<div><br></div><div><div>In [2]: import IPython.zmq</div><div class="im"><div>---------------------------------------------------------------------------</div><div>ImportError                               Traceback (most recent call last)</div>

</div><div>&lt;ipython-input-2-b3d4e8cf6bab&gt; in &lt;module&gt;()</div><div>----&gt; 1 import IPython.zmq</div><div class="im"><div><br></div><div>D:\Python33\lib\site-packages\IPython\zmq\__init__.py in &lt;module&gt;()</div>
<div>     65         RuntimeWarning)</div>
<div>     66</div><div>---&gt; 67 check_for_zmq(&#39;2.1.4&#39;)</div><div>     68 patch_pyzmq()</div><div>     69</div><div><br></div><div>D:\Python33\lib\site-packages\IPython\zmq\__init__.py in check_for_zmq(minimum_v</div>

<div>ersion, module)</div><div>     51         import zmq</div><div>     52     except ImportError:</div><div>---&gt; 53         raise ImportError(&quot;%s requires pyzmq &gt;= %s&quot;%(module, minimum_ver</div><div>sion))</div>

<div>     54</div><div>     55     pyzmq_version = zmq.__version__</div><div><br></div><div>ImportError: IPython.zmq requires pyzmq &gt;= 2.1.4</div><div><br></div></div><div>In [3]:</div><div><br></div><div>Can anybody tell where I&#39;m doing wrong?</div>

</div></div><div class="HOEnZb"><div class="h5"><div class="gmail_extra"><br><br><div class="gmail_quote">2013/4/7 wang aiyong <span dir="ltr">&lt;<a href="mailto:wangaiyongff@gmail.com" target="_blank">wangaiyongff@gmail.com</a>&gt;</span><br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<div dir="ltr">I&#39;m using Windows xp sp3, installed python3.3, ipython0.13 by &#39;ipython-0.13.2.py3-win32&#39;. I  had pyqt, distribute, pip, etc installed. I alse followed installation instruction on &quot;<a href="http://ipython.org/ipython-doc/rel-0.13/install/install.html#installation-from-source" target="_blank">http://ipython.org/ipython-doc/rel-0.13/install/install.html#installation-from-source</a>&quot; website. I installed ZeroMQ3.2 ( 2.2.0 also tried), Pyzmq 13.0.2.<div>


But when I was about to install MathJax like this: &quot;from IPython.external.mathjax import install_mathjax&quot;, I got an error as follows:</div><div><br></div><div><div>In [1]: from IPython.external.mathjax import install_mathjax</div>


<div>---------------------------------------------------------------------------</div><div>ImportError                               Traceback (most recent call last)</div><div>&lt;ipython-input-1-01ec93d75f9e&gt; in &lt;module&gt;()</div>


<div>----&gt; 1 from IPython.external.mathjax import install_mathjax</div><div><br></div><div>D:\Python33\lib\site-packages\IPython\external\mathjax.py in &lt;module&gt;()</div><div>     24 import tarfile</div><div>     25</div>


<div>---&gt; 26 from IPython.frontend.html import notebook as nbmod</div><div>     27</div><div>     28 #-----------------------------------------------------------------------</div><div>------</div><div><br></div><div>D:\Python33\lib\site-packages\IPython\frontend\html\notebook\__init__.py in &lt;mod</div>


<div>ule&gt;()</div><div>     16</div><div>     17 # check for pyzmq 2.1.4</div><div>---&gt; 18 from IPython.zmq import check_for_zmq</div><div>     19 check_for_zmq(&#39;2.1.4&#39;, &#39;IPython.frontend.html.notebook&#39;)</div>


<div>     20 del check_for_zmq</div><div><br></div><div>D:\Python33\lib\site-packages\IPython\zmq\__init__.py in &lt;module&gt;()</div><div>     65         RuntimeWarning)</div><div>     66</div><div>---&gt; 67 check_for_zmq(&#39;2.1.4&#39;)</div>


<div>     68 patch_pyzmq()</div><div>     69</div><div><br></div><div>D:\Python33\lib\site-packages\IPython\zmq\__init__.py in check_for_zmq(minimum_v</div><div>ersion, module)</div><div>     51         import zmq</div><div>


     52     except ImportError:</div><div>---&gt; 53         raise ImportError(&quot;%s requires pyzmq &gt;= %s&quot;%(module, minimum_ver</div><div>sion))</div><div>     54</div><div>     55     pyzmq_version = zmq.__version__</div>


<div><br></div><div>ImportError: IPython.zmq requires pyzmq &gt;= 2.1.4</div><div><br></div><div>In [2]:</div></div></div>
</blockquote></div><br></div>
</div></div></blockquote></div><br></div>